GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData Class Reference

## Public Member Functions
byte [] | getData ()
void | setData (byte[] value)
String | getDocumentType ()
void | setDocumentType (String value)
LabelFormat | getLabelFormat ()
void | setLabelFormat (LabelFormat value)

## Protected Attributes
byte [] | data
String | documentType
LabelFormat | labelFormat

## Detailed Description

Print data being returned from createShipment request

Java class for PrintData complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="PrintData">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Data" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
            <element name="DocumentType" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="LabelFormat" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}LabelFormat"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 43 of file PrintData.java.

## Member Function Documentation

## ◆ getData()

byte [] eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData.getData | ( |  | ) |

Gets the value of the data property.

Returns
  possible object is byte[]

Definition at line 60 of file PrintData.java.

## ◆ getDocumentType()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData.getDocumentType | ( |  | ) |

Gets the value of the documentType property.

Returns
  possible object is String

Definition at line 83 of file PrintData.java.

## ◆ getLabelFormat()

LabelFormat eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData.getLabelFormat | ( |  | ) |

Gets the value of the labelFormat property.

Returns
  possible object is LabelFormat

Definition at line 107 of file PrintData.java.

## ◆ setData()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData.setData | ( | byte [] | value | ) |

Sets the value of the data property.

Parameters

  value | allowed object is byte[]

Definition at line 71 of file PrintData.java.

## ◆ setDocumentType()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData.setDocumentType | ( | String | value | ) |

Sets the value of the documentType property.

Parameters

  value | allowed object is String

Definition at line 95 of file PrintData.java.

## ◆ setLabelFormat()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData.setLabelFormat | ( | LabelFormat | value | ) |

Sets the value of the labelFormat property.

Parameters

  value | allowed object is LabelFormat

Definition at line 119 of file PrintData.java.

## Member Data Documentation

## ◆ data

byte [] eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData.data
| protected

Definition at line 46 of file PrintData.java.

## ◆ documentType

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData.documentType
| protected

Definition at line 48 of file PrintData.java.

## ◆ labelFormat

LabelFormat eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintData.labelFormat
| protected

Definition at line 51 of file PrintData.java.

The documentation for this class was generated from the following file:

- PrintData.java